#### Previous topic

scipy.interpolate.spalde

#### Next topic

scipy.interpolate.splantider

# scipy.interpolate.splder

`scipy.interpolate.``splder`(tck, n=1)

  Compute the spline representation of the derivative of a given spline

  Parameters:

  tck : tuple of (t, c, k)

  > Spline whose derivative to compute

  n : int, optional

  > Order of derivative to evaluate. Default: 1

  Returns:

  tck_der : tuple of (t2, c2, k2)

  > Spline of order k2=k-n representing the derivative of the input spline.

  See also

  `splantider`, `splev`, `spalde`

  Notes

  New in version 0.13.0.

  Examples

  This can be used for finding maxima of a curve:

      >>> from scipy.interpolate import splrep, splder, sproot
      >>> x = np.linspace(0, 10, 70)
      >>> y = np.sin(x)
      >>> spl = splrep(x, y, k=4)

  Now, differentiate the spline and find the zeros of the derivative. (NB: `sproot` only works for order 3 splines, so we fit an order 4 spline):

      >>> dspl = splder(spl)
      >>> sproot(dspl) / np.pi
      array([ 0.50000001,  1.5       ,  2.49999998])

  This agrees well with roots \(\pi/2 + n\pi\) of \(\cos(x) = \sin'(x)\).